%global debug_package   %{nil}
%global import_path     bitbucket.org/kardianos/osext
%global gopath          %{_datadir}/gocode
%global rev             364fb577de68fb646c4cb39cc0e09c887ee16376
%global shortrev        %(r=%{rev}; echo ${r:0:12})

Name:           golang-bitbucket-kardianos-osext
Version:        0
Release:        0.4.hg%{shortrev}%{?dist}
Summary:        Extensions to the standard Go OS package
License:        zlib
URL:            http://%{import_path}
Source0:        https://%{import_path}/get/default.tar.bz2
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

This package provides extensions to the standard Go OS package,
including Executable, which returns an absolute path which can
be used to re-invoke the current program, and ExecutableFolder,
which returns the directory containing the same.

%package devel
Requires:       golang
Summary:        Supplementary Go networking libraries
Provides:       golang(%{import_path}) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for building other packages
which use these functions.

%prep
%setup -n kardianos-osext-%{shortrev}

%build

%install
install -d %{buildroot}/%{gopath}/src/%{import_path}
cp -av *.go %{buildroot}/%{gopath}/src/%{import_path}/

%files devel
%doc LICENSE
%dir %attr(755,root,root) %{gopath}
%dir %attr(755,root,root) %{gopath}/src
%dir %attr(755,root,root) %{gopath}/src/bitbucket.org
%dir %attr(755,root,root) %{gopath}/src/bitbucket.org/kardianos
%dir %attr(755,root,root) %{gopath}/src/%{import_path}
%{gopath}/src/%{import_path}/*.go

%changelog
* Wed Oct 16 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.4.hg364fb577de68
- removed double quotes from provides

* Mon Oct 14 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.3.hg364fb577de68
- devel description update

* Mon Oct 14 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.2.hg364fb577de68
- defattr removed
- description and summary updated

* Sat Oct 12 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.1.hg364fb577de68
- Initial fedora package
